# timezone_name_from_abbr

(PHP 5 >= 5.1.3, PHP 7)

timezone_name_from_abbr — Returns the timezone name from abbreviation

### Description

timezone_name_from_abbr ( string `$abbr` [, int `$gmtOffset` = -1 [, int `$isdst` = -1 ]] ) : string

### Parameters

`abbr`

  Time zone abbreviation.

`gmtOffset`

  Offset from GMT in seconds. Defaults to -1 which means that first found time zone corresponding to `abbr` is returned. Otherwise exact offset is searched and only if not found then the first time zone with any offset is returned.

`isdst`

  Daylight saving time indicator. Defaults to -1, which means that whether the time zone has daylight saving or not is not taken into consideration when searching. If this is set to 1, then the `gmtOffset` is assumed to be an offset with daylight saving in effect; if 0, then `gmtOffset` is assumed to be an offset without daylight saving in effect. If `abbr` doesn't exist then the time zone is searched solely by the `gmtOffset` and `isdst`.

### Return Values

Returns time zone name on success or `FALSE` on failure.

### Examples

Example #1 A timezone_name_from_abbr() example

`<?php
echo timezone_name_from_abbr("CET") . "\n";
echo timezone_name_from_abbr("", 3600, 0) . "\n";
?>`

The above example will output something similar to:

    Europe/Berlin
    Europe/Paris

### See Also

- timezone_abbreviations_list() - Alias of DateTimeZone::listAbbreviations